package principal;

import entidades.Cliente;
import entidades.ClienteDAO;
import java.io.IOException;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

public class ClienteProcess extends HttpServlet {

    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        try {
            // Verifica logon
            if ( logon.WLogon.verifica(request,response,"/index.jsp") == false ) return;

            // Coleta valores
            HttpSession session = request.getSession();
            Cliente c = (Cliente) session.getAttribute("cliente");
            String nome = request.getParameter("nome");
            String cpf = request.getParameter("cpf");
            
            // Atualiza Cliente
            if (c.setCpf(cpf) == false) {
                request.setAttribute("WSCErro",1);
                request.setAttribute("WSCErroMsg","CPF inválido!");
            }
            if (c.setNome(nome) == false) {
                request.setAttribute("WSCErro",2);
                request.setAttribute("WSCErroMsg","Nome inválido!");
            }
            
            // Atualiza banco de dados, se CPF não for vazio
            if (!c.getCpf().equals("")) ClienteDAO.adiciona(c);
            
        } finally {            
        }
    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /** 
     * Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
     * Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
     * Returns a short description of the servlet.
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>
}
